logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



PCRE-config error on running apr config

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
sherigarvikram



Joined: 01 Mar 2018
Posts: 1

PostPosted: Thu 01 Mar '18 14:46    Post subject: PCRE-config error on running apr config Reply with quote

Hi All

I'm getting a weird error while trying to build APR 1.6.3 on my CentOS system

Quote:
checking for pcre-config... false
configure: error: pcre-config for libpcre not found. PCRE is required and available from http://pcre.org/


I have PCRE installed on my system and I've verified the same.

This is the command that I'm firing to perform APR configure:
Code:
CFLAGS=-O2 CPPFLAGS="-I$OPENSSL_ROOT/include" LDFLAGS="-L$OPENSSL_ROOT/lib $LDFLAGS" CONFIG_SHELL="/bin/bash" ./configure


In fact it works perfectly fine for APR 1.5.x!

So my question is:
Is there any change in APR 1.6.X that needs you to specifically define/avoid pcre while execting the config command? Or is there any Env variable that needs to be set to avoid this issue?

Thanks in advance!
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6477
Location: Germany, Next to Hamburg

PostPosted: Thu 18 Oct '18 10:48    Post subject: Reply with quote

Did you download the correct version of pcre and installed that?

use

wget ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-8.42.tar.gz


See also https://github.com/JBlond/debian_build_apache24/blob/master/build_apache.sh
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1